Unity Web Player 3.5 Auto-Update issue?

Discussion in 'Unity Support' started by DragonXVI, Feb 29, 2012.

  1. DragonXVI

    DragonXVI

    New Member

    Joined:
    Feb 28, 2012
    Messages:
    1
    Getting an unusual problem developing Unity apps for use on the Web with Unity 3.5.0f5 (We've recently updated from 3.4). The problem's manifesting in a number of odd ways, but it seems to boil down to the incorrect version of the Unity Engine being installed on machines (Notable only Windows machines, Mac tests seem to work fine) that don't have the Unity editor.

    Been seeing this with the following repro:

    - Have no version of Unity installed
    - Access our game and get prompted to install Unity
    - After installation, the game starts to load but then fails with:

    Failed to update Unity Web Player
    Unity Web Player update finished, but installed revision (3428003) is less than required revision (3508005). Please reinstall.


    Checking Unity3d.com/Webplayer/ to see what version's installed, we get:

    - Unity Plugin version: 3.5.0f6
    - Unity Engine version:3.4.2f3 (??)

    Also seen this via a manual install of the webplayer plugin from http://Unity3d.com/webplayer/, The auto-updater doesn't seem to correct this either, as subsiquent runs of the game result in the same error at the loading screen.

    So far, the only way around this I've managed to figure out is to nab the full installer from http://webplayer.unity3d.com/download_webplayer-3.x/UnityWebPlayerFULL.exe , download 'n install, restart your browser, and everything's now the correct version. Bit worried in terms of this error affecting people coming to the game

    Any ideas what could cause this? The manual fix is a bit faffy and as far as I can tell the auto-update 'n installation work, they're just getting the wrong version (possible caching issue? Something in Project Settings we're missing?)

    Webplayer Log output looks like:

    Cheers.
  2. kenshin

    kenshin

    Member

    Joined:
    Apr 21, 2010
    Messages:
    673
    I think is a good idea to fill a bug report ... :)
  3. CreativeChris

    CreativeChris

    Unity Technologies

    Joined:
    Jun 7, 2010
    Messages:
    349
    Hi,

    Please file a bug a report and let me know the case id..

    Thanks,
    Chris
  4. archangelq

    archangelq

    New Member

    Joined:
    Mar 5, 2012
    Messages:
    1
    I've got beta testers for my currently in development game that is built with Unity 3.5, that are experiencing this same issue. Where is the bug reporting so I can track the progress of this bug?
  5. CreativeChris

    CreativeChris

    Unity Technologies

    Joined:
    Jun 7, 2010
    Messages:
    349
    Still waiting for the case id myself, when I have it I can provide it to you as well. In the mean time you can download/install our latest 3.5.1f1 plugin from here: http://forum.unity3d.com/threads/126769-Public-testing-of-the-Unity-3.5.1f1-WebPlayer. and test your game/s out with this one.

    Thanks,
    Chris
  6. wivlaro

    wivlaro

    New Member

    Joined:
    Aug 26, 2010
    Messages:
    1
    Is there any update to this issue? We are having major problems with exactly this with our live game right now. Looking for lead for when the Web Player plugin might be fixed.
  7. darrenackers

    darrenackers

    New Member

    Joined:
    Nov 2, 2010
    Messages:
    4
    We also have an issue with this webplayer plugin which gives a "Failed to update Unity Web Player" error.
    Details say:
    "A newer version of Unity Web Player is required, but the auto-update failed.
    Invalid auto-update file format.
    Please install manually.

    This is the full install of webplayer 3.5.0f6
  8. CreativeChris

    CreativeChris

    Unity Technologies

    Joined:
    Jun 7, 2010
    Messages:
    349
    Ok guys,

    Can you report a bug? I still haven't received a case id from anyone. To file a bug report follow these instructions:

    1. Open Unity editor
    2. Help -> report a bug

    Please include these details in the bug report:

    1. Clear description
    2. Specific repro steps
    3. Hardware info such as OS version, CPU and graphics card details
    4. Browser/s and the version
    5. WebPlayer version - http://unity3d.com/webplayer - as shown on the right hand side
    6. A game or link to some content which reproduces the problem

    Please remember to provide the case id to me so I can investigate this problem asap. You will receive this id in an email, it's a 6-digit number.

    Thanks,
    Chris
  9. Thousand

    Thousand

    Member

    Joined:
    May 8, 2011
    Messages:
    77
    I have submitted a bug report, here is what I reported:

    problem: web player not working
    how often: always

    I have installed the Unity 4 beta (replacing previous version)

    I have created a build for the web player, firefox tries to play it, then tells me:

    "unity web player update finished, but installed revision (3568004) is less than required revision (4008005). Please reinstall."

    the same happens, when i try to open the html-file with google chrome or internet explorer

    it seems to me that the unity4-beta build requires a newer version of the web-player plugin (as indicated in the error message)

    ---

    Windows 7 64bit ultimate
  10. CreativeChris

    CreativeChris

    Unity Technologies

    Joined:
    Jun 7, 2010
    Messages:
    349
    Hi @Thousand

    By default the 4.0 beta WebPlayer uses the stable channel which in this case is the latest 3.5.6 release available on our website: http://unity3d.com/webplayer - if you switch the release channel to beta you will then be able to playback your built 4.0 content in the browser.

    To switch channel, right click in the player window to access the context menu -> Release Channels -> Beta

    Thanks,
    Chris
  11. anas zia

    anas zia

    Member

    Joined:
    Jul 21, 2013
    Messages:
    30
    Hi friends and people ! I am developing an fps game right NOW ! I had the same problem , and i maneged to fix it WITH THE EASIEST WAY ! I spend 6 hours reserching but none worked , SO I MADE A TUTORIAL ON HOW TO DO IT ON YOUTUBE -- https://www.youtube.com/watch?v=y988CnNmbJc ! ITS 100% working ! Hope i helped you ! Please Like and comment on my video if this works